#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Handler-YAWriter
Summary:	XML::Handler::YAWriter Perl module - yet another Perl SAX XML Writer
Summary(pl.UTF-8):	Moduł Perla XML::Handler::YAWriter - jeszcze jeden perlowy SAX XML Writer
Name:		perl-XML-Handler-YAWriter
Version:	0.23
Release:	5
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c7ba2a828a284d6a13ea6fbbfec2b162
URL:		http://search.cpan.org/dist/XML-Handler-YAWriter/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl(IO::File) >= 1.06
BuildRequires:	perl-libxml >= 0.06
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAWriter implements Yet Another XML::Handler::Writer. The reasons for
this one are that I needed a flexible escaping technique, and want
some kind of pretty printing.

%description -l pl.UTF-8
YAWriter to jeszcze jedna implementacja (Yet Another)
XML::Handler::Writer. Powstała dlatego, że autor potrzebował
elastycznej techniki cytowania i chciał pewnego rodzaju ładnego
drukowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/xmlpretty
%{perl_vendorlib}/XML/Handler/YAWriter.pm
%{_mandir}/man1/xmlpretty.1p*
%{_mandir}/man3/XML::Handler::YAWriter.3pm*
%changelog
* Sun Mar 11 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-XML-Handler-YAWriter.git;a=log;h=master

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 1f90445
- added generic URL
- more verbose files in common dirs

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5daa243
- release 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2e61a1d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2704b3a
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> cc12ff2
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> d8ca67d
- rel. 4

* Thu May 06 2004 ankry <ankry@pld-linux.org> 6c8f113
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 7df618a
- added tests, license fix, cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 58f9073
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> a04e350
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 0dea291
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 2bec39e
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> af7396e
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 1768467
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 6c778cd
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 9f89fbe
- massive attack: change CPAN URLs

* Sat Jul 20 2002 Jakub Bogusz <qboosh@pld-linux.org> aa3909f
- added xmlpretty program
- %%{perl_sitelib}/XML/Handler dir (belongs to perl-libxml)
- completed BRs
- release 2

* Wed Jul 10 2002 depesz <depesz@depesz.pl> bf4e5ea
- applied changes using automat supplied by Radoslaw Zielinski

* Sat May 25 2002 Jakub Bogusz <qboosh@pld-linux.org> 11da101
- pl description

* Fri May 24 2002 Jacek Konieczny <jajcus@pld-linux.org> 055024a
- %%pdir/%%pnam fixed

